> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/geo-endpoints-for-spatial-data-access.md).

# Geo koncové body pro přístup k prostorovým datům

{% hint style="success" %}
GeoPard používá <https://www.ogc.org/> datové formáty Open Geospatial Consortium, například WMS pro obrázky a WFS pro vektorová data. Pro import a export pracujeme také se soubory shapefile. Náš systém umožňuje flexibilní import a export v kterémkoli z těchto datových formátů. Pro satelitní snímky používáme [COG (Cloud Optimized GeoTIFF)](https://www.cogeo.org/)
{% endhint %}

{% hint style="info" %}
K odesílání požadavků WMS/WFS je potřeba nainstalovat Postman.
{% endhint %}

{% hint style="info" %}
Každý požadavek musí být podepsán hlavičkou "Authorization" (do které se vloží token) nebo parametrem URL "geopardApiKey " (do kterého se vloží uživatelský klíč API).
{% endhint %}

Koncové body WMS API jsou uloženy v atributech "geoMaps" entit "Field", "FieldSatelliteImage", "VectorAnalysisMap", "RasterAnalysisMap", "TopographyMap", "SoilDataset" a "YieldDataset". Viz [datové schéma GeoPard.](https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/geopard-api-data-schema.md)

Koncové body WFS API jsou uloženy v atributech "boundaryUrl", "zonesMapUrl" a "attributesUrl" entit "Field" a "VectorAnalysisMap".

{% hint style="info" %}
Pro přesnější snímky doporučujeme použít projekci EPSG:900913 namísto EPSG:3857.
{% endhint %}

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/geo-endpoints-for-spatial-data-access.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
